#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl /                                                 #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/symlink
. /var/config/revision
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Pobieram aktualizacje"
  info2="Rozpakowuje aktualizacje"
  info3="Aktualizacja zakonczona pomyslnie"
  info4="Za 5 sek nastapi restart E2"
  info5="Za 5 sek nastapi restart tunera"
  info6="Brak archiwum na serwerze lub problem przy sciaganiu !"

elif [ $lang == en ]; then

  info1="Downloading new version"
  info2="Extracting new version"
  info3="Update successfull"
  info4="In 5 sek E2 will be restarted"
  info5="In 5 sek box will be restarted"
  info6="No archive on server or downloading error!"

elif [ $lang == ar ]; then

  info1="تحميل النسخة الجديدة"
  info2="استخراج النسخة جديدة"
  info3="تم التحديث بنجاح"
  info4="خلال خمس ثوانٍ سيتم إعادة تشغيل الإنجما2"
  info5="خلال خمس ثوانٍ سيتم إعادة تشغيل الجهاز"
  info6="لا يوجد أرشيف على الخادم أو خطأ في التحميل"
  
elif [ $lang == fr ]; then

  info1="Telechargement de nouveaux version"
  info2="Extraction de nouvelles version"
  info3="Mise a jour reussie"
  info4="Dans 5 sec E2 sera redemarres"
  info5="Dans 5 sec le decodeur sera redemarres"
  info6="Aucune archive sur le serveur ou Erreur dans le telechargement!"  
  
elif [ $lang == de ]; then

  info1="Lade Update"
  info2="Entpacke Update"
  info3="Aktualiesieren war erfolgreich"
  info4="E2 startet in 5 Sek. neu"
  info5="UFS910 startet in 5 Sek. neu"
  info6="Keine Datei auf dem Server oder Fehler beim Laden !"

elif [ $lang == it ]; then

  info1="Nuova versione in download ..."
  info2="Installazione nuova versione in corso ..."
  info3="Aggiornamento riuscito"
  info4="E2 verra' riavviata tra 5 secondi"
  info5="Il decoder verra' riavviato tra 5 secondi"
  info6="Nessun archivio sul server o errore durante il download!"

elif [ $lang == es ]; then
  info1="Descargando nueva version"
  info2="Extrayendo nueva version"
  info3="Actualizacion completa"
  info4="En 5 segundos se reiniciara E2"
  info5="En 5 segundos se efectuara un reinicio completo"
  info6="No existe el archivo en el servidor o Error en la instalacion!"

fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

wget -P /tmp $ADRES/$VERSION/aktualizacja.tar.gz 2>/dev/null   
echo $info1
echo "Finito"
sync

exit 0
