#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Zatrzymanie dzialajacego MPCS"
  info2="Kasowanie MPCS"
  info3="Pobieranie nowego MPCS"
  info4="Ustawienie uprawnien"
  info5="MPCS pobrany !"
  info6="Instalacja nie powiodla sie !"

elif [ $lang == en ]; then

  info1="MPCS is stopping..."
  info2="Deleting MPCS"
  info3="Downloading MPCS"
  info4="Setting rights"
  info5="MPCS downloaded!"
  info6="Installation error!"

elif [ $lang == ar ]; then

  info1="MPCS إيقاف"
  info2="MPCS حذف"
  info3="MPCS تحميل"
  info4="إعطاء التصريح"
  info5="MPCS تم تحميل"
  info6="حدثت مشكلة أثناء التنصيب"

elif [ $lang == fr ]; then

  info1="MPCS est arrete..."
  info2="supprimer MPCS"
  info3="Telechargement de MPCS"
  info4="Permission de fichier"
  info5="MPCS telecharges!"
  info6="Erreur dans la installation!"
  
  elif [ $lang == de ]; then

  info1="Stoppe MPCS"
  info2="Losche MPCS"
  info3="Lade MPCS"
  info4="Attribute werden zugeteilt"
  info5="MPCS geladen !"
  info6="Instalieren fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="MPCS is stopping..."
  info2="Deleting MPCS"
  info3="Downloading MPCS"
  info4="Setting rights"
  info5="MPCS downloaded!"
  info6="Installation error!"

elif [ $lang == es ]; then
  info1="MPCS se esta parando..."
  info2="MPCS se esta borrando"
  info3="MPCS se esta descargando"
  info4="Estableciendo derechos"
  info5="MPCS Descargada e Instalada!"
  info6="Error en la instalacion!"
    
fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ $emu == mpcs ]; then
    echo $info1
    killall -15 mpcs 2>/dev/null
    sleep 3
 fi

 if [ -s /var/emu/mpcs ] ; then
    echo $info2
    rm /var/emu/mpcs 2>/dev/null
    sleep 3
 fi
  
echo $info3
  wget $ADRES/mpcs -O /var/emu/mpcs 2>/dev/null
  sync
sleep 5

 if [ -s /var/emu/mpcs ] ; then
    echo $info4
    chmod 755 /var/emu/mpcs
    sleep 1
    echo $info5
 else
    echo $info6
 fi

echo ""

exit 0