#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Zatrzymanie dzialajacego IncubusCamd"
  info2="Kasowanie IncubusCamd"
  info3="Pobieranie nowego IncubusCamd"
  info4="Ustawienie uprawnien"
  info5="IncubusCamd pobrany !"
  info6="Instalacja nie powiodla sie !"

elif [ $lang == en ]; then

  info1="IncubusCamd is stopping..."
  info2="Deleting IncubusCamd"
  info3="Downloading IncubusCamd"
  info4="Setting rights"
  info5="IncubusCamd downloaded!"
  info6="Installation error!"

elif [ $lang == fr ]; then

  info1="IncubusCamd est arrete..."
  info2="supprimer IncubusCamd"
  info3="Telechargement de nouveaux IncubusCamd"
  info4="Permission de fichier"
  info5="IncubusCamd telecharges!"
  info6="Erreur dans la installation!"
  
elif [ $lang == ar ]; then

  info1="IncubusCamd إيقاف"
  info2="IncubusCamd حذف"
  info3="IncubusCamd تحميل"
  info4="إعطاء التصريح"
  info5="IncubusCamd تم تحميل"
  info6="حدثت مشكلة أثناء التنصيب"  
  
elif [ $lang == de ]; then

  info1="Stoppe IncubusCamd"
  info2="Losche IncubusCamd"
  info3="Lade IncubusCamd"
  info4="Attribute werden zugeteilt"
  info5="IncubusCamd geladen !"
  info6="Instalieren fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="IncubusCamd e' in arresto"
  info2="Eliminazione IncubusCamd ..."
  info3="IncubusCamd in download..."
  info4="Impostazioni in corso ..."
  info5="IncubusCamd scaricato!"
  info6="Errore durante l'installazione!"   

elif [ $lang == es ]; then
  info1="IncubusCamd se esta parando..."
  info2="IncubusCamd se esta borrando"
  info3="IncubusCamd se esta descargando"
  info4="Estableciendo derechos"
  info5="IncubusCamd Descargada e Instalada!"
  info6="Error en la instalacion!"
    
fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ $emu == incubusCamd ]; then
    echo $info1
    killall -15 incubusCamd 2>/dev/null
    sleep 3
 fi

 if [ -s /var/emu/incubusCamd ] ; then
    echo $info2
    rm /var/emu/incubusCamd 2>/dev/null
    sleep 3
 fi
  
echo $info3
  wget $ADRES/incubusCamd -q -O /var/emu/incubusCamd 2>/dev/null
  sync
sleep 5

 if [ -s /var/emu/incubusCamd ] ; then
    echo $info4
    chmod 755 /var/emu/incubusCamd
    sleep 1
    echo $info5
 else
    echo $info6
 fi

echo ""
 
exit 0